mixed-port: 7890
allow-lan: false
mode: rule
log-level: info

dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  nameserver:
    - 223.5.5.5
    - 119.29.29.29
  fallback:
    - 8.8.8.8
    - 1.1.1.1
  fallback-filter:
    geoip: true
    geoip-code: CN

proxies:
  - name: "vps-reality-1"
    type: vless
    server: 45.32.69.133
    port: 443
    uuid: 5b05151b-a681-46db-a223-95dd45b13589
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: www.apple.com
    client-fingerprint: chrome
    reality-opts:
      public-key: IgxAG9DOh7IFLkGi7Zrn3L00lYDYW9blDWRyzmxU6Bk
      short-id: c6bdf22bcb510f78

  - name: "vps-reality-2"
    type: vless
    server: 45.32.71.199
    port: 443
    uuid: cbf3836d-517d-4dfb-86d4-a636bca27713
    network: tcp
    tls: true
    udp: true
    flow: xtls-rprx-vision
    servername: www.apple.com
    client-fingerprint: chrome
    reality-opts:
      public-key: UXWjZU9YEIhZmvLJYgnvd4eKiddR4ewRS2xCnmFwfWc
      short-id: ab115ca2444053d1

proxy-groups:
  - name: "Proxy"
    type: select
    proxies:
      - Auto-Select
      - vps-reality-1
      - vps-reality-2
      - DIRECT

  - name: "Auto-Select"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    proxies:
      - vps-reality-1
      - vps-reality-1

rules:
  # 国内直连
  - GEOIP,CN,DIRECT
  - GEOSITE,cn,DIRECT
  # 其余走代理
  - MATCH,Proxy
  - MATCH,Proxy